#! /bin/bash

auto_adapter_screen()
{
    local connectedScreenList=`xrandr | grep ' connected ' | grep -v ' connected primary ' | awk '{print $1}'`
    local primaryScreen=`xrandr | grep ' connected primary ' | awk '{print $1}'`
    if [ $primaryScreen != "" ]; then
        xrandr --output $primaryScreen --auto --primary
        for screen in $connectedScreenList; do
            xrandr --output $screen --off
        done
    else
        for screen in $connectedScreenList; do
            local resolution=`xrandr -q | awk '/'$screen'/{getline line; print line}' | grep -E [0-9]+x[0-9]+ |awk '{print $1}'`
            xrandr --output $screen --mode $resolution
        done
    fi
}

auto_adapter_screen
